easyBI installation Error

Good day I am trying to install easyBI and am constantly getting the error below:

Please can you kindly assist:

 

org.jruby.rack.RackInitializationException: Unknown error - Unknown Error (0) - LICENSE-Mondrian.html
	from org/jruby/RubyFile.java:875:in `stat'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/specification.rb:2716:in `validate_permissions'
	from org/jruby/RubyArray.java:1613:in `each'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/specification.rb:2715:in `validate_permissions'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/specification.rb:2582:in `validate'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/rubygems_integration.rb:60:in `validate'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/ui/silent.rb:45:in `silence'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/rubygems_integration.rb:60:in `validate'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/source/path.rb:151:in `load_spec_files'
	from org/jruby/RubyArray.java:1613:in `each'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/source/path.rb:145:in `load_spec_files'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/source/path.rb:95:in `local_specs'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/source/path.rb:103:in `specs'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/definition.rb:543:in `specs_for_source_changed?'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/definition.rb:529:in `specs_changed?'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/definition.rb:569:in `converge_paths'
	from org/jruby/RubyEnumerable.java:1459:in `any?'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/definition.rb:568:in `converge_paths'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/definition.rb:109:in `initialize'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/dsl.rb:200:in `to_definition'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/dsl.rb:12:in `evaluate'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/definition.rb:33:in `build'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler.rb:127:in `definition'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler.rb:93:in `setup'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/gem.home/gems/bundler-1.13.7/lib/bundler/setup.rb:10:in `(root)'
	from org/jruby/RubyKernel.java:1040:in `require'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:1:in `(root)'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:128:in `require'
	from org/jruby/RubyKernel.java:1040:in `require'
	from /usr/local/etc/jirasoftware-home/plugins/.osgi-plugins/felix/felix-cache/bundle239/version0.0/plugin.4277855351601043710.eazybi-jira-4.3.2_1504603089000.jar-lib/0/META-INF/rails.root/config/boot.rb:6:in `(root)'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:1:in `(root)'
	from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:54:in `require'
	from classpath:/jruby/rack/rails/environment3.rb:23:in `load_environment'

	

1 answer

This widget could not be displayed.

Hi Brian,

 

today I had the same problem on my JIRA instance. Do you resolved this issue? Can Suggest solution?

 

Regards,

Domenico

Hello Domenico,

This kind of error can happen when Jira is executed in some limited environment with some missing environment variables or missing paths like from crontab, so that eazyBI cannot find it required libraries.

There was another case with this error on older Ubuntu 14.04 and it could be fixed by installing "libc6-dev".

If you still cannot solve this issue please contact us on support@eazybi.com and we will try to help you.

 

Gatis. 

Suggest an answer

Log in or Sign up to answer
Atlassian Summit 2018

Meet the community IRL

Atlassian Summit is an excellent opportunity for in-person support, training, and networking.

Learn more
Community showcase
Published Jul 25, 2018 in Marketplace Apps

Jira Cloud and Bitbucket Cloud Integration with Microsoft Teams

One of the newest products in the Microsoft family - Microsoft Teams,  is a chat-based hub for teamwork that integrates all the people, content, and tools your team needs to be more engaged and ...

717 views 0 3
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you